Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class GroupFacade

    java.lang.Object
      com.pmease.quickbuild.model.GroupFacade

All Implemented Interfaces:
  java.io.Serializable

public class GroupFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for Group. Represents a user group in the system. Group can be defined and users can be specified with the belonging group.

See Also:
  Serialized Form

Constructor Summary
`GroupFacade()`

Method Summary
`java.util.List` | `getAuthorizedQueueNames()` Specify authorized queues for this group.
`java.lang.String` | `getDescription()` Specify description text of this group.
`int` | `getEntityVersion()`
`java.lang.Long` | `getId()` Get identifer of this object.
`java.lang.String` | `getName()` Specify name of this group.
`void` | `setAuthorizedQueueNames(java.util.List authorizedQueueNames)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEntityVersion(int entityVersion)`
`void` | `setId(java.lang.Long id)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupFacade

    public GroupFacade()

Method Detail

### getName

    public java.lang.String getName()

  Specify name of this group. The following names have special meaning:
  anonymous: All anonymous users will be treated as an user of this group, thus get permissions configured in this group.

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

  Specify description text of this group.

### setDescription

    public void setDescription(java.lang.String description)

### getAuthorizedQueueNames

    public java.util.List getAuthorizedQueueNames()

  Specify authorized queues for this group. Users in this group can only run builds in authorized queues.

### setAuthorizedQueueNames

    public void setAuthorizedQueueNames(java.util.List authorizedQueueNames)

### getId

    public java.lang.Long getId()

  Get identifer of this object.

### setId

    public void setId(java.lang.Long id)

### getEntityVersion

    public int getEntityVersion()

### setEntityVersion

    public void setEntityVersion(int entityVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.